Subject: Re: [PATCHv3] git-tag man: when to use lightweight or annotated tags

From: Daniele Segato <[email-masked]>
Date: Sat, 27 Jul 2013 12:39:20 +0200

On 07/26/2013 09:06 PM, Jeff King wrote:
> On Fri, Jul 26, 2013 at 07:33:01PM +0200, Daniele Segato wrote:
>
>> stress the difference between the two with suggestion on when the user
>> should use one in place of the other.
>>
>> Signed-off-by: Daniele Segato <[email-masked]>
>
> The intent of your patch seems reasonable to me. There are a few minor
> language and typographical mistakes, and the patch itself is
> whitespace-damaged.

Hi Jeff,

thanks for the feedback, very appreciated.

But I don't understand what's wrong with the whitespaces.

Can you explain to me what's wrong and how I can avoid the issue?

I use thunderbird in text mode to send emails, should I use something 
else? what?

>
> I also do not know that it is accurate to say "most git commands ignore
> lightweight tags". It is really only "naming" ones like "git describe".
>
> Here is a re-send of your patch with the fixups I would recommend.
>

Thanks, it's obviously better.

I'll send this new version as soon as you or someone else explain me how 
to fix the whitespace damage.

> -- >8 --
> From: Daniele Segato <[email-masked]>
> Subject: [PATCH] docs/git-tag: explain lightweight versus annotated tags
>
> Stress the difference between the two with a suggestion on
> when the user should use one in place of the other.
>
> Signed-off-by: Daniele Segato <[email-masked]>
> Signed-off-by: Jeff King <[email-masked]>
> ---
>   Documentation/git-tag.txt | 11 +++++++++++
>   1 file changed, 11 insertions(+)
>
> diff --git a/Documentation/git-tag.txt b/Documentation/git-tag.txt
> index 22894cb..c418c44 100644
> --- a/Documentation/git-tag.txt
> +++ b/Documentation/git-tag.txt
> @@ -42,6 +42,17 @@ is used to specify custom GnuPG binary.
>   GnuPG key for signing. 	The configuration variable `gpg.program`
>   is used to specify custom GnuPG binary.
>
> +Tag objects (created with `-a`, `s`, or `-u`) are called "annotated"
> +tags; they contain a creation date, the tagger name and e-mail, a
> +tagging message, and an optional GnuPG signature. Whereas a
> +"lightweight" tag is simply a name for an object (usually a commit
> +object).
> +
> +Annotated tags are meant for release while lightweight tags are meant
> +for private or temporary object labels. For this reason, some git
> +commands for naming objects (like `git describe`) will ignore
> +lightweight tags by default.
> +
>
>   OPTIONS
>   -------
>